import { BenPascalCase } from "@/components/WebExportReact/src/utils/helpers";

export const getArgumentfields = (fragment, configuration) => {
  if (fragment.argument) {
    return `
   private val args by navArgs<${BenPascalCase(fragment.name)}FragmentArgs>()
    private var itemId = ""
    `;
  } else return "";
};

export const getArgumentField = (fragment, configuration) => {
  if (fragment.argument) {
    return `
   itemId = args.data.id.substringBefore(".")
    `;
  } else return "";
};
